libtcnative-1-0-1.2.16-lp150.7.1.x86_64.rpm


Advertisement

Description

libtcnative-1-0 - JNI wrappers for Apache Portable Runtime for Tomcat

Property Value
Distribution openSUSE Leap 15.0
Repository JAVA all
Package name libtcnative-1-0
Package version 1.2.16
Package release lp150.7.1
Package architecture x86_64
Package type rpm
Installed size 205.64 KB
Download size 72.07 KB
Official Mirror ftp.gwdg.de
Tomcat can use the Apache Portable Runtime to provide superior
scalability, performance, and better integration with native server
technologies. The Apache Portable Runtime is a highly portable library
that is at the heart of Apache HTTP Server 2.x. APR has many uses,
including access to advanced IO functionality (such as sendfile, epoll
and OpenSSL), OS level functionality (random number generation, system
status, etc), and native process handling (shared memory, NT pipes and
Unix sockets).
These features allows making Tomcat a general purpose webserver, will
enable much better integration with other native web technologies, and
overall make Java much more viable as a full fledged webserver platform
rather than simply a backend focused technology.

Alternatives

Package Version Architecture Repository
libtcnative-1-0-1.2.16-lp150.1.4.x86_64.rpm 1.2.16 x86_64 openSUSE Oss
libtcnative-1-0 - - -

Requires

Name Value
/sbin/ldconfig -
libapr-1.so.0()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libssl.so.1.1()(64bit) -
libssl.so.1.1(OPENSSL_1_1_0)(64bit) -

Provides

Name Value
libtcnative-1-0 = 1.2.16-lp150.7.1
libtcnative-1-0(x86-64) = 1.2.16-lp150.7.1
libtcnative-1.so.0()(64bit) -
tcnative = 1.2.16
tomcat-native = 1.2.16

Download

Type URL
Binary Package libtcnative-1-0-1.2.16-lp150.7.1.x86_64.rpm
Source Package libtcnative-1-0-1.2.16-lp150.7.1.src.rpm

Install Howto

  1. Add the JAVA repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_15.0/ java
  2. Install libtcnative-1-0 rpm package:
    # zypper install libtcnative-1-0

Files

Path
/usr/lib64/libtcnative-1.so
/usr/lib64/libtcnative-1.so.0
/usr/lib64/libtcnative-1.so.0.2.16
/usr/share/doc/packages/libtcnative-1-0/CHANGELOG.txt
/usr/share/doc/packages/libtcnative-1-0/LICENSE
/usr/share/doc/packages/libtcnative-1-0/NOTICE
/usr/share/doc/packages/libtcnative-1-0/README.txt

Changelog

2017-11-27 - fstrba@suse.com
- Version update to version 1.2.16:
* See changelog.html for in-depth upstream changes
* Fixes build breakage with newer version of openssl
2016-02-03 - tchvatal@suse.com
- Version update to version 1.2.4:
* See changelog.html for in-depth upstream changes
* This connector to properly work requires openssl 1.0.2 or newer
so do not backport to other codestreams.
2015-02-25 - tchvatal@suse.com
- Remove keyring file as there is new keyring and I didn't find it
on the web
2015-02-19 - p.drouand@gmail.com
- Update to version 1.1.32
* Fix: 53952: Add support for TLSv1.2 and TLSv1.1.
* Fix: 56844: Use OpenSSL 1.0.1j with Windows binaries.
* Update: Use APR 1.5.1 with Windows binaries
- Remove tomcat-native-nosslv2.patch; merged on upstream release
- Remove %gpg_verify tag and gpg-offline require; let OBS handles
gpg verification
2014-04-27 - crrodriguez@opensuse.org
- version 1.1.30
* Fixed double-free in ssl_ocsp_request. Patch provided by
Aristotelis.
* Other minor bugfixes.
- openSUSE: Fix build when openssl does not have SSLv2 support.
(tomcat-native-nosslv2.patch)
2013-09-13 - mvyskocil@suse.com
- Update to 1.1.27 (bugfix release)
* fix high CUP usage on client's IP address change
* add CPU information to OS info for Linux
* fix FIPS mode for listeners; resolves 'Low level API
call to digest MD5 forbidden in FIPS mode!' errors.
* update add clearOptions function to allow access to
OpenSSL's SSL_CTX_clear_options function.
* fix regression in pollset return value.
- add gpg verification
- add javapackages-tools
- drop config-guess-sub-update.patch
2013-03-31 - schwab@suse.de
- config-guess-sub-update.patch: update config.guess/sub for aarch64
2012-12-06 - kruber@zib.de
- update to 1.1.24
* add support for per-socket timeouts inside poller
2012-03-15 - mvyskocil@suse.cz
- update to 1.1.23 - latest upstream version
* autodetect java7
* better support for ipv6
* OCSP verification support
* explicit use in FIPS mode allowed
* and fixes many bugs, leaks and crashes
- split the spec from tomcat6 sources as it was never needed
2010-08-05 - mvyskocil@suse.cz
- fixes bnc#622430 - move .so file to main package

See Also

Package Description
libtcnative-1-0-devel-1.2.16-lp150.7.1.x86_64.rpm JNI wrappers for Apache Portable Runtime for Tomcat
log4j-1.2.17-lp150.255.8.noarch.rpm Java logging tool
log4j-javadoc-1.2.17-lp150.255.8.noarch.rpm Java logging tool (Documentation)
log4j-manual-1.2.17-lp150.255.8.noarch.rpm Java logging tool (Manual)
log4j-mini-1.2.17-lp150.257.3.noarch.rpm Java logging tool
lucene-6.6.0-lp150.55.1.noarch.rpm Text search engine
lucene-analyzers-common-6.6.0-lp150.55.1.noarch.rpm Analyzers-common module for lucene
lucene-analyzers-smartcn-6.6.0-lp150.55.1.noarch.rpm Analyzers-smartcn module for lucene
lucene-analyzers-stempel-6.6.0-lp150.55.1.noarch.rpm Analyzers-stempel module for lucene
lucene-backward-codecs-6.6.0-lp150.55.1.noarch.rpm Backward-codecs module for lucene
lucene-classification-6.6.0-lp150.55.1.noarch.rpm Classification module for lucene
lucene-codecs-6.6.0-lp150.55.1.noarch.rpm Codecs module for lucene
lucene-facet-6.6.0-lp150.55.1.noarch.rpm Facet module for lucene
lucene-grouping-6.6.0-lp150.55.1.noarch.rpm Grouping module for lucene
lucene-highlighter-6.6.0-lp150.55.1.noarch.rpm Highlighter module for lucene
Advertisement
Advertisement